# Class LanguageCallback

java.lang.Object
javax.security.auth.callback.LanguageCallback

All Implemented Interfaces:
  `Serializable, Callback`

public class LanguageCallback extends Object implements Callback, Serializable

Underlying security services instantiate and pass a `LanguageCallback` to the `handle` method of a `CallbackHandler` to retrieve the `Locale` used for localizing text.

Since:
  1.4
See Also:
  - `CallbackHandler`
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LanguageCallback()`
  Construct a `LanguageCallback`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Locale`
  `getLocale()`
  Get the retrieved `Locale`.
  `void`
  `setLocale(Locale locale)`
  Set the retrieved `Locale`.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### LanguageCallback

    public LanguageCallback()
    Construct a `LanguageCallback`.

- ## Method Details

  - ### setLocale

    public void setLocale(Locale locale)
    Set the retrieved `Locale`.
    Parameters:
      `locale` - the retrieved `Locale`.
    See Also:
      - `getLocale()`

  - ### getLocale

    public Locale getLocale()
    Get the retrieved `Locale`.
    Returns:
      the retrieved `Locale`, or null if no `Locale` could be retrieved.
    See Also:
      - `setLocale(Locale)`